{"openapi":"3.1.1","info":{"title":"Planning Center Publishing","version":"2024-03-25","description":"Manage Custom Pages, Sermons, and Church Center configuration","termsOfService":"https://planningcenter.com/terms","contact":{"name":"Planning Center","url":"https://www.planningcenter.com","email":"support@planningcenter.com"},"x-pco-api-version":"16.0.2"},"externalDocs":{"description":"Planning Center developer documentation","url":"https://planningcenter.com/developers"},"servers":[{"url":"https://api.planningcenteronline.com/publishing/v2"}],"security":[{"oauth2":["publishing"]},{"personal_access_token":[]}],"tags":[{"name":"Episode"},{"name":"Series"},{"name":"Channel","description":"A collection of sermons"},{"name":"Speaker"}],"paths":{"/channels":{"summary":"Channel","description":"A collection of sermons","get":{"tags":["Channel"],"parameters":[{"$ref":"#/components/parameters/organization_channels_filter_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_where_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/series_where_current_episode_series_search_parameter"},{"$ref":"#/components/parameters/channel_order_parameter"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_channels_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Channel"],"parameters":[{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/channel_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_channels_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}":{"summary":"Channel","description":"A collection of sermons","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_channels_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/channel_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_channels_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/channel_default_episode_resources":{"summary":"ChannelDefaultEpisodeResource","description":"The default EpisodeResources for a Channel","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_channel_default_episode_resources_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/channel_default_episode_resources/{channel_default_episode_resource_id}":{"summary":"ChannelDefaultEpisodeResource","description":"The default EpisodeResources for a Channel","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"channel_default_episode_resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ChannelDefaultEpisodeResource id"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_channel_default_episode_resources_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/channel_default_times":{"summary":"ChannelDefaultTime","description":"The default times for a channel","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channeldefaulttime_order_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_channel_default_times_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/channeldefaulttime_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_channel_default_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/channel_default_times/{channel_default_time_id}":{"summary":"ChannelDefaultTime","description":"The default times for a channel","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"channel_default_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ChannelDefaultTime id"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_channel_default_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"channel_default_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ChannelDefaultTime id"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/channeldefaulttime_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_channel_default_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"channel_default_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The ChannelDefaultTime id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/current_episode":{"summary":"Episode","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/episode_where_search_parameter"},{"$ref":"#/components/parameters/episode_where_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_where_series_id_parameter"},{"$ref":"#/components/parameters/series_where_series_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_order_parameter"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_current_episode_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episode_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_current_episode_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/current_episode/{current_episode_id}":{"summary":"Episode","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"current_episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The CurrentEpisode id"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_current_episode_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"current_episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The CurrentEpisode id"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episode_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_current_episode_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"current_episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The CurrentEpisode id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/episodes":{"summary":"Episode","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channel_episodes_filter_parameter"},{"$ref":"#/components/parameters/episode_where_search_parameter"},{"$ref":"#/components/parameters/episode_where_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_where_series_id_parameter"},{"$ref":"#/components/parameters/series_where_series_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_order_parameter"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_episodes_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episode_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_episodes_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/episodes/{episode_id}":{"summary":"Episode","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_episodes_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episode_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_episodes_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/next_times":{"summary":"ChannelNextTime","description":"The next default time for a channel","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channelnexttime_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_next_times_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/next_times/{next_time_id}":{"summary":"ChannelNextTime","description":"The next default time for a channel","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"next_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The NextTime id"},{"$ref":"#/components/parameters/channelnexttime_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_next_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/series":{"summary":"Series","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/series_where_id_parameter"},{"$ref":"#/components/parameters/series_where_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_order_parameter"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_series_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/series_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/series/{series_id}":{"summary":"Series","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/series_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/statistics":{"summary":"EpisodeStatistics","description":"Viewership statistics for an episode","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/episodestatistics_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_statistics_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/channels/{channel_id}/statistics/{statistic_id}":{"summary":"EpisodeStatistics","description":"Viewership statistics for an episode","get":{"tags":["Channel"],"parameters":[{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"name":"statistic_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Statistic id"},{"$ref":"#/components/parameters/episodestatistics_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/channel_statistics_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes":{"summary":"Episode","get":{"tags":["Episode"],"parameters":[{"$ref":"#/components/parameters/organization_episodes_filter_parameter"},{"$ref":"#/components/parameters/episode_where_search_parameter"},{"$ref":"#/components/parameters/episode_where_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_where_series_id_parameter"},{"$ref":"#/components/parameters/series_where_series_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_order_parameter"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_episodes_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Episode"],"parameters":[{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episode_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_episodes_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}":{"summary":"Episode","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_episodes_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episode_include_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/speaker_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episode_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_episodes_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/channel":{"summary":"Channel","description":"A collection of sermons","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episode_where_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_where_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/series_where_current_episode_series_search_parameter"},{"$ref":"#/components/parameters/channel_order_parameter"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_channel_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/channel_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_channel_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/channel/{channel_id}":{"summary":"Channel","description":"A collection of sermons","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_channel_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/channel_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_channel_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/episode_resources":{"summary":"EpisodeResource","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episoderesource_order_parameter"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_episode_resources_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episoderesource_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_episode_resources_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/episode_resources/{episode_resource_id}":{"summary":"EpisodeResource","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"episode_resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EpisodeResource id"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_episode_resources_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"episode_resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EpisodeResource id"},{"$ref":"#/components/parameters/episoderesource_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episoderesource_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_episode_resources_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"episode_resource_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EpisodeResource id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/episode_times":{"summary":"EpisodeTime","description":"Live schedule times for an Episode","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episodetime_order_parameter"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_episode_times_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episodetime_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_episode_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/episode_times/{episode_time_id}":{"summary":"EpisodeTime","description":"Live schedule times for an Episode","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"episode_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EpisodeTime id"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_episode_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"episode_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EpisodeTime id"},{"$ref":"#/components/parameters/episodetime_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/episodetime_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_episode_times_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"episode_time_id","in":"path","schema":{"type":"string"},"required":true,"description":"The EpisodeTime id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/note_template":{"summary":"NoteTemplate","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/notetemplate_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_note_template_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/notetemplate_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/notetemplate_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_note_template_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/series":{"summary":"Series","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/series_where_id_parameter"},{"$ref":"#/components/parameters/series_where_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_order_parameter"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_series_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/series_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/series/{series_id}":{"summary":"Series","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/series_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/speakerships":{"summary":"Speakership","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/speakership_include_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/speaker_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_speakerships_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"$ref":"#/components/parameters/speakership_include_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/speaker_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/speakership_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_speakerships_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/speakerships/{speakership_id}":{"summary":"Speakership","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"speakership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Speakership id"},{"$ref":"#/components/parameters/speakership_include_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/speaker_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_speakerships_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"speakership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Speakership id"},{"$ref":"#/components/parameters/speakership_include_parameter"},{"$ref":"#/components/parameters/speakership_all_fields_parameter"},{"$ref":"#/components/parameters/speaker_all_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/speakership_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/episode_speakerships_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"speakership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Speakership id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/speakerships/{speakership_id}/speaker":{"summary":"Speaker","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"speakership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Speakership id"},{"$ref":"#/components/parameters/speaker_order_parameter"},{"$ref":"#/components/parameters/speaker_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/speakership_speaker_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/episodes/{episode_id}/speakerships/{speakership_id}/speaker/{speaker_id}":{"summary":"Speaker","get":{"tags":["Episode"],"parameters":[{"name":"episode_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Episode id"},{"name":"speakership_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Speakership id"},{"name":"speaker_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Speaker id"},{"$ref":"#/components/parameters/speaker_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/speakership_speaker_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/series":{"summary":"Series","get":{"tags":["Series"],"parameters":[{"$ref":"#/components/parameters/organization_series_filter_parameter"},{"$ref":"#/components/parameters/series_where_id_parameter"},{"$ref":"#/components/parameters/series_where_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_channel_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_order_parameter"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_series_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Series"],"parameters":[{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/series_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/series/{series_id}":{"summary":"Series","get":{"tags":["Series"],"parameters":[{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Series"],"parameters":[{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"$ref":"#/components/parameters/series_include_parameter"},{"$ref":"#/components/parameters/series_all_fields_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episode_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/series_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_series_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Series"],"parameters":[{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/series/{series_id}/channel":{"summary":"Channel","description":"A collection of sermons","get":{"tags":["Series"],"parameters":[{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"$ref":"#/components/parameters/episode_where_current_episode_search_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_services_plan_remote_identifier_parameter"},{"$ref":"#/components/parameters/episode_where_current_episode_services_service_type_remote_identifier_parameter"},{"$ref":"#/components/parameters/series_where_current_episode_series_id_parameter"},{"$ref":"#/components/parameters/series_where_current_episode_series_search_parameter"},{"$ref":"#/components/parameters/channel_order_parameter"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/series_channel_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"post":{"tags":["Series"],"parameters":[{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/channel_resource_create"},"responses":{"201":{"description":"Successful create response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/series_channel_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}}},"/series/{series_id}/channel/{channel_id}":{"summary":"Channel","description":"A collection of sermons","get":{"tags":["Series"],"parameters":[{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/series_channel_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}},"patch":{"tags":["Series"],"parameters":[{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"},{"$ref":"#/components/parameters/channel_include_parameter"},{"$ref":"#/components/parameters/channel_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaultepisoderesource_all_fields_parameter"},{"$ref":"#/components/parameters/channeldefaulttime_all_fields_parameter"},{"$ref":"#/components/parameters/episode_all_fields_parameter"},{"$ref":"#/components/parameters/episoderesource_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/episodetime_only_attributes_fields_parameter"},{"$ref":"#/components/parameters/series_only_attributes_fields_parameter"}],"requestBody":{"$ref":"#/components/requestBodies/channel_resource_update"},"responses":{"200":{"description":"Successful update response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/series_channel_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_modify"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"409":{"$ref":"#/components/responses/409"},"422":{"$ref":"#/components/responses/422"},"500":{"$ref":"#/components/responses/500"}}},"delete":{"tags":["Series"],"parameters":[{"name":"series_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Series id"},{"name":"channel_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Channel id"}],"responses":{"204":{"description":"Successful destroy response (no content)"},"400":{"$ref":"#/components/responses/400_destroy"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/speakers":{"summary":"Speaker","get":{"tags":["Speaker"],"parameters":[{"$ref":"#/components/parameters/speaker_order_parameter"},{"$ref":"#/components/parameters/speaker_all_fields_parameter"},{"$ref":"#/components/parameters/pagination_offset_per_page_parameter"},{"$ref":"#/components/parameters/pagination_offset_offset_parameter"}],"responses":{"200":{"description":"Successful collection response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_speakers_collection_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}},"/speakers/{speaker_id}":{"summary":"Speaker","get":{"tags":["Speaker"],"parameters":[{"name":"speaker_id","in":"path","schema":{"type":"string"},"required":true,"description":"The Speaker id"},{"$ref":"#/components/parameters/speaker_all_fields_parameter"}],"responses":{"200":{"description":"Successful read response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/organization_speakers_resource_envelope"}}}},"400":{"$ref":"#/components/responses/400_read"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}},"components":{"parameters":{"channel_all_fields_parameter":{"name":"fields[Channel]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/channel_renderable_attributes_enum"},{"$ref":"#/components/schemas/channel_relationships_and_includes_enum"}]},"uniqueItems":true},"explode":false},"channel_only_attributes_fields_parameter":{"name":"fields[Channel]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/channel_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"channeldefaultepisoderesource_all_fields_parameter":{"name":"fields[ChannelDefaultEpisodeResource]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/channeldefaultepisoderesource_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"channeldefaultepisoderesource_only_attributes_fields_parameter":{"name":"fields[ChannelDefaultEpisodeResource]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/channeldefaultepisoderesource_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"channeldefaulttime_all_fields_parameter":{"name":"fields[ChannelDefaultTime]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/channeldefaulttime_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"channeldefaulttime_only_attributes_fields_parameter":{"name":"fields[ChannelDefaultTime]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/channeldefaulttime_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"channelnexttime_all_fields_parameter":{"name":"fields[ChannelNextTime]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/channelnexttime_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"channelnexttime_only_attributes_fields_parameter":{"name":"fields[ChannelNextTime]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/channelnexttime_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"episode_all_fields_parameter":{"name":"fields[Episode]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/episode_renderable_attributes_enum"},{"$ref":"#/components/schemas/episode_relationships_and_includes_enum"}]},"uniqueItems":true},"explode":false},"episode_only_attributes_fields_parameter":{"name":"fields[Episode]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/episode_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"episoderesource_all_fields_parameter":{"name":"fields[EpisodeResource]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/episoderesource_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"episoderesource_only_attributes_fields_parameter":{"name":"fields[EpisodeResource]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/episoderesource_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"episodestatistics_all_fields_parameter":{"name":"fields[EpisodeStatistics]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/episodestatistics_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"episodestatistics_only_attributes_fields_parameter":{"name":"fields[EpisodeStatistics]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/episodestatistics_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"episodetime_all_fields_parameter":{"name":"fields[EpisodeTime]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/episodetime_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"episodetime_only_attributes_fields_parameter":{"name":"fields[EpisodeTime]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/episodetime_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"notetemplate_all_fields_parameter":{"name":"fields[NoteTemplate]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/notetemplate_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"notetemplate_only_attributes_fields_parameter":{"name":"fields[NoteTemplate]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/notetemplate_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"organization_all_fields_parameter":{"name":"fields[Organization]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/organization_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"organization_only_attributes_fields_parameter":{"name":"fields[Organization]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/organization_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"series_all_fields_parameter":{"name":"fields[Series]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/series_renderable_attributes_enum"},{"$ref":"#/components/schemas/series_relationships_and_includes_enum"}]},"uniqueItems":true},"explode":false},"series_only_attributes_fields_parameter":{"name":"fields[Series]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/series_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"speaker_all_fields_parameter":{"name":"fields[Speaker]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/speaker_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"speaker_only_attributes_fields_parameter":{"name":"fields[Speaker]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/speaker_renderable_attributes_enum"}]},"uniqueItems":true},"explode":false},"speakership_all_fields_parameter":{"name":"fields[Speakership]","in":"query","schema":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/speakership_relationships_and_includes_enum"}]},"uniqueItems":true},"explode":false},"channel_episodes_filter_parameter":{"name":"filter","in":"query","schema":{"type":"array","items":{"type":"string","enum":["published","not_published","published_to_library","connected_to_services","not_connected_to_services"]},"uniqueItems":true},"explode":false},"organization_channels_filter_parameter":{"name":"filter","in":"query","schema":{"type":"array","items":{"type":"string","enum":["published","podcast_enabled"]},"uniqueItems":true},"explode":false},"organization_episodes_filter_parameter":{"name":"filter","in":"query","schema":{"type":"array","items":{"type":"string","enum":["published_live","not_published_live","connected_to_services","not_connected_to_services","published_on_church_center"]},"uniqueItems":true},"explode":false},"organization_series_filter_parameter":{"name":"filter","in":"query","schema":{"type":"array","items":{"type":"string","enum":["published","not_published"]},"uniqueItems":true},"explode":false},"channel_include_parameter":{"name":"include","in":"query","schema":{"type":"array","items":{"type":"string","enum":["channel_default_episode_resources","channel_default_times","current_episode","current_episode.channel","current_episode.episode_resources","current_episode.episode_times","current_episode.series","current_episode.speakerships"]},"uniqueItems":true},"explode":false},"episode_include_parameter":{"name":"include","in":"query","schema":{"type":"array","items":{"type":"string","enum":["channel","channel.channel_default_episode_resources","channel.channel_default_times","channel.current_episode","episode_resources","episode_times","series","series.channel","speakerships","speakerships.speaker"]},"uniqueItems":true},"explode":false},"series_include_parameter":{"name":"include","in":"query","schema":{"type":"array","items":{"type":"string","enum":["channel","channel.channel_default_episode_resources","channel.channel_default_times","channel.current_episode"]},"uniqueItems":true},"explode":false},"speakership_include_parameter":{"name":"include","in":"query","schema":{"type":"array","items":{"type":"string","enum":["speaker"]},"uniqueItems":true},"explode":false},"channel_order_parameter":{"name":"order","in":"query","schema":{"type":"array","items":{"type":"string","enum":["name","position"]},"uniqueItems":true},"explode":false},"channeldefaulttime_order_parameter":{"name":"order","in":"query","schema":{"type":"array","items":{"type":"string","enum":["position"]},"uniqueItems":true},"explode":false},"episode_order_parameter":{"name":"order","in":"query","schema":{"type":"array","items":{"type":"string","enum":["title","stream_type","published_live_at","published_to_library_at"]},"uniqueItems":true},"explode":false},"episoderesource_order_parameter":{"name":"order","in":"query","schema":{"type":"array","items":{"type":"string","enum":["position"]},"uniqueItems":true},"explode":false},"episodetime_order_parameter":{"name":"order","in":"query","schema":{"type":"array","items":{"type":"string","enum":["starts_at"]},"uniqueItems":true},"explode":false},"series_order_parameter":{"name":"order","in":"query","schema":{"type":"array","items":{"type":"string","enum":["title","episodes_count","started_at","ended_at"]},"uniqueItems":true},"explode":false},"speaker_order_parameter":{"name":"order","in":"query","schema":{"type":"array","items":{"type":"string","enum":["first_name"]},"uniqueItems":true},"explode":false},"episode_where_current_episode_search_parameter":{"name":"where[current_episode][search]","in":"query","schema":{"type":"string"},"description":"Filter by current_episode.search"},"episode_where_current_episode_series_id_parameter":{"name":"where[current_episode][series_id]","in":"query","schema":{"type":"string"},"description":"Filter by current_episode.series_id"},"episode_where_current_episode_services_plan_remote_identifier_parameter":{"name":"where[current_episode][services_plan_remote_identifier]","in":"query","schema":{"type":"string"},"description":"Filter by current_episode.services_plan_remote_identifier"},"episode_where_current_episode_services_service_type_remote_identifier_parameter":{"name":"where[current_episode][services_service_type_remote_identifier]","in":"query","schema":{"type":"string"},"description":"Filter by current_episode.services_service_type_remote_identifier"},"series_where_current_episode_series_id_parameter":{"name":"where[current_episode][series][id]","in":"query","schema":{"type":"string"},"description":"Filter by current_episode.series.id"},"series_where_current_episode_series_search_parameter":{"name":"where[current_episode][series][search]","in":"query","schema":{"type":"string"},"description":"Filter by current_episode.series.search"},"episode_where_search_parameter":{"name":"where[search]","in":"query","schema":{"type":"string"},"description":"Filter by search"},"episode_where_series_id_parameter":{"name":"where[series_id]","in":"query","schema":{"type":"string"},"description":"Filter by series_id"},"episode_where_services_plan_remote_identifier_parameter":{"name":"where[services_plan_remote_identifier]","in":"query","schema":{"type":"string"},"description":"Filter by services_plan_remote_identifier"},"episode_where_services_service_type_remote_identifier_parameter":{"name":"where[services_service_type_remote_identifier]","in":"query","schema":{"type":"string"},"description":"Filter by services_service_type_remote_identifier"},"series_where_series_id_parameter":{"name":"where[series][id]","in":"query","schema":{"type":"string"},"description":"Filter by series.id"},"series_where_series_search_parameter":{"name":"where[series][search]","in":"query","schema":{"type":"string"},"description":"Filter by series.search"},"episode_where_channel_current_episode_search_parameter":{"name":"where[channel][current_episode][search]","in":"query","schema":{"type":"string"},"description":"Filter by channel.current_episode.search"},"episode_where_channel_current_episode_series_id_parameter":{"name":"where[channel][current_episode][series_id]","in":"query","schema":{"type":"string"},"description":"Filter by channel.current_episode.series_id"},"episode_where_channel_current_episode_services_plan_remote_identifier_parameter":{"name":"where[channel][current_episode][services_plan_remote_identifier]","in":"query","schema":{"type":"string"},"description":"Filter by channel.current_episode.services_plan_remote_identifier"},"episode_where_channel_current_episode_services_service_type_remote_identifier_parameter":{"name":"where[channel][current_episode][services_service_type_remote_identifier]","in":"query","schema":{"type":"string"},"description":"Filter by channel.current_episode.services_service_type_remote_identifier"},"series_where_id_parameter":{"name":"where[id]","in":"query","schema":{"type":"string"},"description":"Filter by id"},"series_where_search_parameter":{"name":"where[search]","in":"query","schema":{"type":"string"},"description":"Filter by search"},"pagination_offset_per_page_parameter":{"
[...]
